import os
from dotenv import load_dotenv

# Load environment variables
load_dotenv()

# DB API Configuration
DB_API_KEY = os.getenv("DB_API_KEY")
DB_API_URL = "https://api.deutschebahn.com/fahrplan-plus/v1"

# Weather API Configuration
WEATHER_API_KEY = os.getenv("WEATHER_API_KEY")
WEATHER_API_URL = "https://api.openweathermap.org/data/2.5/weather"

# Database Configuration
DB_HOST = os.getenv("DB_HOST", "localhost")
DB_PORT = os.getenv("DB_PORT", "5432")
DB_NAME = os.getenv("DB_NAME", "train_weather_db")
DB_USER = os.getenv("DB_USER", "postgres")
DB_PASSWORD = os.getenv("DB_PASSWORD", "password")

# Station IDs (example values; validate via DB API)
STATION_IDS = {
    "Frankfurt": "008000105",
    "Berlin": "8010169",
    "München": "008000000",
    "Köln": "008000333",
    "Stuttgart": "008000456"
}